Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-yourls
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           python-module-yourls
Version:        0.2.0
Release:        alt1_3
Summary:        Simple Python client for the YOURLS URL shortener

License:        GPLv2+
URL:            http://tflink.github.com/python-yourls/
Source0:        https://github.com/downloads/tflink/python-yourls/%{oldname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
# This only exists in F16 and newer
BuildRequires:  python-module-pytest
Source44: import.info

%description
Simple Python client for the YOURLS URL shortener

%prep
%setup -n %{oldname}-%{version} -q

# the dependency needed to run the tests is only included in F16 and newer
# python-pytest > 2.0
%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc LICENSE README
%{python_sitelibdir_noarch}/*


%changelog
* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.0-alt1_3
- initial fc import

